Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /companyChartDataByStock

charts probe ok

Per-stock intraday chart ticks (use reqSymbolInfo.id as stockId).

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/companyChartDataByStock' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d 'stockId={{stock_id}}&period=1'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "companyChartDataByStock",
    "url": "https://www.cse.lk/api/companyChartDataByStock",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:36.184874+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "chartData",
        "id"
      ]
    }
  },
  "response": {
    "chartData": [
      {
        "h": 20.0,
        "l": 20.0,
        "o": null,
        "s": 57268237,
        "q": 16355,
        "p": 20.0,
        "c": 0.1,
        "pc": 0.5025125628140703,
        "t": 1784174400245,
        "n": null,
        "id": 57268237
      },
      {
        "h": 20.0,
        "l": 20.0,
        "o": null,
        "s": 57268384,
        "q": 550,
        "p": 20.0,
        "c": 0.1,
        "pc": 0.5025125628140703,
        "t": 1784174490514,
        "n": null,
        "id": 57268384
      },
      {
        "h": 20.0,
        "l": 20.0,
        "o": null,
        "s": 57268408,
        "q": 500,
        "p": 20.0,
        "c": 0.1,
        "pc": 0.5025125628140703,
        "t": 1784174528611,
        "n": null,
        "id": 57268408
      }
    ],
    "id": 297,
    "_truncated": {
      "list_key": "chartData",
      "kept": 3,
      "original_len": 319
    }
  }
}